読者です 読者をやめる 読者になる 読者になる

この日記は私的なものであり、所属会社の見解ではありません。 GitHub: takahashikzn

VeloeclipseをHeliosへ強引にインストールする

Eclipse

僕はVelocityのヘビーユーザーであり、そしてEclipse3.5を使っていたときには
Veloeclipseを使っていました。
Veloeclipseを入れると、シンタックスハイライトしてくれたり、構文チェックしてくれたりと、何かと便利。


最近Heliosにお引越しし、当然のごとくVeloeclipseもインストール。しようと思ったら。
なんと、互換性がないからインストール出来ないと怒られてしまうという。


オイオイ、ちょっと待てよ。3.5で使えて3.6で使えないわけ無いだろう、
ということで強引にインストールする方法がないか調べてみました。

簡単だった

  • features/de.byteaction.velocity_2.0.6/feature.xml
  • plugins/de.byteaction.velocity.ui_2.0.6/plugin.xml

の2つのファイルの中に、以下のような記述があるのですがコレをコメントアウトします。

<import plugin="org.eclipse.equinox.p2.ui" version="1.0.1"/>

その後、通常通りプラグインをインストール(featuresとpluginsにディレクトリごとコピー)すれば動きました。


意外とアッサリ。